# Uses of Class
org.apache.sysds.parser.ConstIdentifier

Packages that use ConstIdentifier
Package
Description
org.apache.sysds.parser

## Uses of ConstIdentifier in org.apache.sysds.parser

Subclasses of ConstIdentifier in org.apache.sysds.parser
Modifier and Type
Class
Description
`class`
`BooleanIdentifier`
`class`
`DoubleIdentifier`
`class`
`IntIdentifier`
`class`
`StringIdentifier`
Methods in org.apache.sysds.parser that return types with arguments of type ConstIdentifier
Modifier and Type
Method
Description
`HashMap<String,ConstIdentifier>`
StatementBlock.`getConstIn()`
`HashMap<String,ConstIdentifier>`
StatementBlock.`getConstOut()`
Method parameters in org.apache.sysds.parser with type arguments of type ConstIdentifier
Modifier and Type
Method
Description
`void`
ForStatementBlock.`performConstantPropagation(HashMap<String,ConstIdentifier> currConstVars)`
`VariableSet`
ForStatementBlock.`validate(DMLProgram dmlProg, VariableSet ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`
`VariableSet`
FunctionStatementBlock.`validate(DMLProgram dmlProg, VariableSet ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`
TODO: DRB: This needs to be changed to reflect: 1) Default values for variables -- need to add R styled check here to make sure that once vars with default values start, they keep going to the right 2) The other parameters for External Functions
`VariableSet`
IfStatementBlock.`validate(DMLProgram dmlProg, VariableSet ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`
`VariableSet`
ParForStatementBlock.`validate(DMLProgram dmlProg, VariableSet ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`
`VariableSet`
StatementBlock.`validate(DMLProgram dmlProg, VariableSet ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`
`VariableSet`
WhileStatementBlock.`validate(DMLProgram dmlProg, VariableSet ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`